1. Getting Started
1.1 Introduction
1.1.1  Computers as a Tool
1.1.2 A Note About Notation and Style
1.1.3 Notation and Symbolize 	(For experts only)
1.2 Arithmetic and Algebra    
1.2.1 Arithmetic and Notation
1.2.2 Algebraic Manipulations
1.2.3 PowerExpand
1.2.4 Simple Rules
1.2.5 A Home-made Complex Conjugate with SuperStar
1.2.6 Immediate and Delayed Substitutions
1.2.7 Selecting Parts of Expressions
1.2.8 Algebraic Equations
1.3 Functions and Procedures
1.3.1 Built-In Functions
1.3.2 User-Defined Functions
1.3.3 Pure Functions
1.3.4 Assigning Rules and Restrictions to Functions  
1.3.5 Module
1.3.6 rootPlot
1.4 Packages
1.4.1 Loading Packages
1.4.2 Contexts
1.4.3 Shadowing
1.5 Calculus
1.5.1 Derivatives and Integrals
1.5.2 Differential Equations
1.5.3 Changing Variables and Pure Functions
1.5.4 Numerical Solutions of Differential Equations  
1.6 Graphics   
1.6.1 Using the Plot Command
1.6.2 Animated Plots
1.6.3 Vector Field Plots
1.6.4 Three-dimensional Graphics using Plot3D and ParametricPlot3D
1.7 Exercises
Exercise 1: Real Expressions
Exercise 2:  Series
Exercise 3: Integration
Exercise 4: Superposition of Waves
Exercise 5: Tables of Zeros for Several Functions
Exercise 6: Plot of Roots
Exercise 7: Coupled Equations
Exercise 8: Statistical Data
Exercise 9: Differential Equation 
Exercise 10: Coupled Differential Equations
Exercise 11: Trajectories and Vector Field Plots for Coupled Differential Equations
Exercise 12: Heat Equation
Exercise 13: Wave Equation
Exercise 14: Fit to Data  
Exercise 15: Rules used to solve problems
Exercise 16: Procedures to select numbers
Exercise 17: Procedure to Select certain Pairs of Points
Exercise 18: Change
Exercise 19: Toss of a Die
Exercise 20: Three Dice
Exercise 21: Playing Darts and the Calculation of \[Pi] 
Exercise 22: Dropping Needles
Exercise 23: Pacal's Wager
Exercise 24: The birthday problem

2. GENERAL PHYSICS
 Introduction  
2.1 Newtonian Mechanics in Inertial Frames  
Overview of Newtonian Mechanics in Inertial Frames
Problem 1: Escape Velocity  
Problem 2: Projectile in a Uniform Gravity Field  
Problem 3: Reflecting Trajectories 
Problem 4: Falling Projectile with Linear Drag   
Problem 5: Projectile with Quadratic Drag   
Problem 6: Rocket with varying Mass   
Problem 7: Keplerian Orbits 
2.2 Newtonian Mechanics in Rotating Frames 
Overview of Newtonian Mechanics in Rotating Frames
Problem 1:  Projectile Motion as Measured by an Observer on Earth  
Problem 2:  Foucault Pendulum    
2.3 Electricity and Magnetism 
 Overview of Electricity and Magnetism    
Problem 1: Charged Disk   
Problem 2: Uniformly Charged Sphere 
Problem 3: Electric Dipole    
Problem 4: Magnetic Vector Potential for a Linear Current   
Problem 5: Motion of a Charged Particle in a Uniform B Field  
Problem 6: Motion of a Charged Particle in a Uniform B Field and Time Varying Electric Field  
2.4 Modern Physics 
Problem 1:  Carbon Dating
Problem 2:  Stable Isotopes
Problem 3: The Bohr Atom 
Problem 4:  Relativistic Collision
2.5 Exercises 
Exercise 1: Exploding Projectiles
Exercise 2: Intersecting Trajectories
Exercise 3: Principle of Galilean Invariance
Exercise 4: Elastic Collision
Exercise 5: Projectile and Earth's Rotation
Exercise 6: Projectile Thrown up an Incline Plane
Exercise 7: Falling Object with Air Resistance as Observed  from the Rotating Earth
Exercise 8: Projectile Thrown up with Air Resistance
Exercise 9: Quadrupole 
Exercise 10: Motion of a Charged Particle
Exercise 11:  B Field of a Spinning Disk   

3. Oscillating Systems
 Introduction   
3.1 Linear Oscillations   
Overview of Linear Oscillations   
1. Phase plot for one-dimensional system   
2. Time behavior of phase plot for a one-dimensional system  
3. Combination of the phase plot and the time behavior of the phase plot
Problem 1: Linear Oscillator       
Problem 2: Series expansion Solution       
Problem 3: Potential and Phase Diagrams for the Linear Oscillator   
Problem 4: Damped Linear Oscillator  
Problem 5: Damped Harmonic Oscillator and Driving Forces   
3.2 Small Oscillations  
Overview of  Small Oscillations and Normal Modes  
Eigenvalues and eigenvectors for small oscillating systems    
Problem 1: Two Coupled Oscillators along a Line   
Problem 2: Three Coupled Oscillators along a Line   
Problem 3: Three Coupled Oscillators along a Circle   
Problem 4:  Double Pendulum   
Problem 5:  Understanding the User-defined procedure smallOsc[]   
3.3 Oscillating Circuits 
 Overview of Circuits   
Problem 1:  Series RC  Circuit     
Problem 2:   Series RL Loop 
Problem 3 :   RLC  Loop     
3.4 Exercises  
Exercise 1: Blocks connect with a Spring on a Table
Exercise 2: Falling Blocks connect with a Spring
Exercise 3: Parabolic coordinates and Harmonic Oscillator
Exercise 4: Forced Oscillator
Exercise 5: Pendulums and Spring
Exercise 6: Five Particles connected with Springs
Exercise 7: Vibrating Atoms on an Equilateral Triangle
Exercise 8: Vibrating Charged Spheres
Exercise 9:  Quadratic Damping
Exercise 10: Motion of a Charged Particle in a Harmonic Potential

4. NonLinear Oscillating Systems
Introduction
4.1 Nonlinear Pendulum  
Overview of the Nonlinear Pendulum
Problem 1: Analytic Solution for the Planar Pendulum 
Problem 2: Damped Pendulum 
Problem 3: Periodic Solutions for the Driven Pendulum 
Problem 4: Looping Solutions for the Driven Pendulum 
Problem 5: Chaotic motion for the Driven Pendulum  
4.2 Duffing Equation   
Overview of the Duffing Equation
1. User-defined procedure to plot the Duffing displacement motion
2. User-defined procedure to plot the Duffing phase  
3. User-defined procedure to plot the Duffing Poincar map
Problem 1:  Potential and Phase Diagrams for the Duffing Oscillator   
Problem 2:  Phase Diagram and Orbits for the Damped,  Duffing Equation    
Problem 3: Driven Duffing Orbits with No Damping
Problem 4: Two Well Driven Duffing Oscillator with Damping 
4.3 Exercises
Exercise 1:  van der Pol  Oscillator and Limiting Cycles   
Exercise 2:  Springs 
Exercise 3: Buckling column system
Exercise 4: Nonlinear Equation
Exercise 5:   Inverted Pendulum 
Exercise 6: Driven Nonlinear Equation

5. Discrete Dynamical Systems  
Introduction
5.1 Logistic Map
Overview of the Logistic Map
Problem 1: Logistic Map
Problem 2: Logistic Fixed Points
Problem 3: Logistic Cobwebs. 
Problem 4: Logistic Bifurcations
Problem 5: Logistic Lyapunov Exponent and Entropy  
5.2 Other Maps
Overview of Other Maps
Problem 1: Salmon Map  
Problem 2: Sine-Circle Map
Problem 3: Taylor-Greene-Chirikov map 
Problem 4: Henon Map 
5.3 Fractals
Overview of Fractals
Problem 1:  Mandelbrot Set 
Problem 2:  Julia Set
5.4 Exercises
Exercise 1: Gaussian Map  
Exercise 2: Return Maps for the Henon Map 
Exercise 3: Cubic Maps
Exercise 4: Two Dimensional Map 
Exercise  5: Tent map

6. Lagrangians and Hamiltonians
Introduction    
6.1 Lagrangian Problems without Lagrange Multipliers
Overview of  Lagrangian Problems without Lagrange Multipliers
Problem 1: Particle Sliding on a Movable Incline
Problem 2: Bead Sliding on a Rotating Wire   
Problem 3: Bead on a Rotating Hoop  
Problem 4: Springs Mounted on Top of a Carriage 
Problem 5: Mass Falling Through a Hole in a Table     
Problem 6: Spring Pendulum  
6.2 Lagrangian Problems with Lagrange Multipliers 
Overview of Nonholonomic Constraints and Lagrange Multipliers  
Problem 1: Atwood Machine    
Problem 2: Hoop Rolling on an Incline    
Problem 3: Sphere Rolling on a Fixed Sphere   
6.3 Hamiltonian Problems   
Overview of Hamilton's Equations
Problem 1: Harmonic Oscillator
Problem 2: Nonlinear Oscillator    
Problem 3: Cylindrical Coordinates  
Problem 4: Swinging Atwood Machine   
Problem 5: Spherical Pendulum  
6.4 Hamilton-Jacobi Problems  
Overview
Problem 1: Harmonic Oscillator   
Problem 2: Particle in a Constant Gravity Field  
Problem 3:  Kepler's Problem and Hamilton-Jacobi Equations 
6.5 Exercises
Exercise 1: Atwood Machine  
Exercise 2:  Double Atwood machine     
Exercise 3: Spherical Pendulum  
Exercise 4: Double Pendulum
Exercise 5:  Spring Pendulum  
Exercise 6:  Hamilton-Jacobi in parabolic coordinates
Exercise 7:  How Hamilton Works  
Exercise 8:  How HamiltonJacobi Works  
Exercise 9:  How firstDiffSeries Works  
Exercise 10: How firstOrderPert Works  

7. Orbiting Bodies
Introduction
7.1 Two Body Problem 
Overview of the Two-Body Problem
Problem 1: Equivalent One-body Problem   
Problem 2: Kepler Orbits      
Problem 3: Precessing Ellipse      
Problem 4: Numerical Solution    
7.2 Restricted Three Body Problem
Overview of the Three Body Problem
Problems on the Equal Mass Primaries (\[Mu]=1/2 )
Problem 1: Lagrangian Points for Equal Mass Binaries (\[Mu]=1/2 ) 
Problem 2: Looping Motion in an Equal Mass Binary System (\[Mu]=1/2) 
Problem 3: Symmetric orbits about the y-axis for \[Mu]=1/2   
Problem 4: Mass exchange Between Equal Mass Binaries 
Problems on the Sun-Jupiter System (\[Mu]=.000954)  
Problem 5:  Lagrangian Points for the Sun-Jupiter System  
Problem 6: Numerical Solution for the Trojan Asteroids   
Problem 7: Perturbative Solution for the Trojan Asteroids 
Problems on the Earth-Moon System (\[Mu]= .01215)  
Problem 8:  Lagrangian Points for the Earth-Moon System 
Problem 9: Motion about L[4] in the Earth-Moon System  
Problem 10:  Orbit  around  the  Earth and Moon
7.3 Exercises  
Exercise 1: Central force problems
Exercise 2: Central force procedure
Exercise 3: Central forces and elliptical solutions
Exercise 4: Attractive Inverse fifth power force
Exercise 5: Eccentric Anomaly
Exercise 6: Eccentric Anomaly
Exercise 7: Kepler problem with drag
Exercise 8: Lagrange points  
Exercise 9:  Orbit around the Sun and Jupiter  
Exercise 10: Exact Solution for the Three-Body Problem

8. Electrostatics
Introduction
Mathematica Commands for All Sections
Example:  Equipotential surface and electric field of two-point charges
8.1 Point Charges, Multipoles, and Image Charges
Overview of Point Charges, Multipoles, and Image Charges
Mathematica Commands for Section 8.1
Monopole
TrigToY
TrigToP
Problem 1: Superposition of point charges
Problem 2: Point charges and grounded plane
Problem 3: Point charges and grounded sphere
Problem 4: Line charge and grounded plane
Problem 5: Multipole expansion of a charge distribution
8.2 Laplace's Equation in Cartesian and Cylindrical Coordinates 
Overview of Cartesian and Cylindrical Coordinates
Problem 1: Separation of variables in Cartesian and cylindrical coordinates
Problem 2: Potential in a rectangular groove 
Problem 3: Rectangular conduit
Problem 4: Potential inside a rectangular box with five sides at zero potential 
Problem 5: Conducting cylinder with a potential on the surface 
8.3 Laplace's Equation in Spherical Coordinates 
Overview of Spherical Coordinates
Problem 1: A charged ring  
Problem 2: Grounded sphere in an electric field  
Problem 3: Sphere with an axially symmetric charge distribution  
Problem 4: Sphere with a given axially symmetric potential 
Problem 5: Sphere with upper hemisphere V0 and lower hemisphere -V0
8.4 Exercises 
Exercise 1: Parallel plates and strips  
Exercise 2: Parallel plates and a point charge
Exercise 3: Cylinder divided into segments 
Exercise 4: Elliptical cylinder in a uniform electric field
Exercise 5: Cylindrical box and n charges
Exercise 6: Distorted sphere with a potential
Exercise 7: Concentric spheres with different potentials on the two hemispheres   
Exercise 8: Ring charge  
Exercise 9: Laplace's equations in other coordinates

 9. Quantum Mechanics
 Introduction
9.1 One-Dimensional Schroedinger's Equation 
Problem 1: Particle bound in an Infinite Potential Well
Problem 2: Particle bound in a Finite Potential Well
Problem 3: Particle Hitting a Finite Step Potential
Problem 4: Particle Propagating Towards a Rectangular Potential
Problem 5: The One-Dimensional Harmonic Oscillator  
9.2 Three-Dimensional Schroedinger's Equation  
Problem 1:  Three-Dimensional Harmonic Oscillator in Cartesian Coordinates 
Problem 2:  Schroedinger's Equation for Spherically Symmetric Potentials 
Problem 3: Particle in an Infinite, Spherical Well 
Problem 4: Particle in a Finite, Spherical Well  
Problem 5: The Hydrogen Atom in Spherical Coordinates 
9.3 Exercises
Exercise 1:  Infinite Potential Well with Rectangular Perturbation
Exercise 2:  Tilted Square Well
Exercise 3: The Wentzel-Kramers-Brillouin Approximation
Exercise 4: Plot of the Electron Probability Density
Exercise 5: Perturbed Harmonic Oscillator
Exercise 6: Perturbation Theory
Exercise 7:  Separation of variables in Cylindrical Coordinates

10. Relativity and Cosmology
 Introduction    
10.1 Special Relativity  
Overview of Special Relativity  
Problem 1:  Decay of a particle  
Problem 2:  Two-particle collision  
Problem 3:  Compton scattering 
Problem 4:  Moving mirror and generalized Snell's law  
Problem 5:  One-dimensional motion of a relativistic particle with constant acceleration  
Problem 6: Two-dimensional motion of a relativistic particle in a uniform electric field  
10.2 General Relativity       
Overview of General Relativity
Problem 1: Killing vectors and Spherical Symmetry    
Problem 2: Schwarzschild solution  
Problem 3: Geodesics for the Schwarzschild metric   
Problem 4: Time it takes to fall into a black hole     
Problem 5: Circular geodesics for the Schwarzschild metric   
Problem 6: Precession of the Perihelion 
10.3 Cosmology      
Overview of Friedmann, Robertson, and Walker Cosmology  
Problem  1: Field equations for Friedmann-Robertson-Walker cosmology   
Problem  2: Zero-pressure (Dust) Cosmological Models      
Problem  3: The Expansion and Age for the Friedmann-Robertson-Walker models     
10.4 Exercises 
Exercise 1: Lorentz boosts 
Exercise 2: Radioactive decay of moving Nucleus 
Exercise 3: Schwarzschild solution  
Exercise 4: Potential analysis for timelike geodesics  
Exercise 5: Schwarzschild solution in null coordinates    
Exercise 6: Null geodesics for the Schwarzschild metric
Exercise 7: Mercury's Anomalous Precession and Modification of Newton's Gravity 
Exercise 8: Cosmological Force and Mercury 